<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <RelativeLayout
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentLeft="true"
                android:layout_centerVertical="true"
                android:text="@string/text_ktv_mode"
                android:textAppearance="?android:attr/textAppearanceMedium" />

            <ToggleButton
                android:id="@+id/tb_ktv_mode"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentTop="true"
                android:layout_alignParentRight="true"
                android:layout_marginRight="10dip" />
        </RelativeLayout>

        <RelativeLayout
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentLeft="true"
                android:layout_centerVertical="true"
                android:text="@string/text_play_music"
                android:textAppearance="?android:attr/textAppearanceMedium" />

            <Button
                android:id="@+id/btn_stop"
                android:layout_width="100dip"
                android:layout_height="50dip"
                android:layout_alignParentRight="true"
                android:clickable="true"
                android:text="@string/text_stop_playing" />

            <Button
                android:id="@+id/btn_silent"
                android:layout_width="100dip"
                android:layout_height="50dip"
                android:layout_toLeftOf="@id/btn_stop"
                android:clickable="false"
                android:text="@string/text_silent"
                android:visibility="invisible" />
        </RelativeLayout>

        <RelativeLayout
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:paddingTop="4dip"
            android:paddingBottom="4dip">

            <Spinner
                android:id="@+id/spinner_music"
                android:layout_width="255dip"
                android:layout_height="50dip"
                android:layout_alignParentLeft="true"
                android:layout_alignParentTop="true" />

            <Button
                android:id="@+id/btn_selected"
                android:layout_width="100dip"
                android:layout_height="50dip"
                android:layout_alignParentRight="true"
                android:clickable="true" />
        </RelativeLayout>

        <RelativeLayout
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentLeft="true"
                android:layout_centerVertical="true"
                android:text="@string/text_ktv_record"
                android:textAppearance="?android:attr/textAppearanceMedium" />

            <Button
                android:id="@+id/btn_record_play"
                android:layout_width="100dip"
                android:layout_height="50dip"
                android:layout_alignParentRight="true"
                android:clickable="true"
                android:text="@string/text_replay" />

            <Button
                android:id="@+id/btn_record"
                android:layout_width="100dip"
                android:layout_height="50dip"
                android:layout_toLeftOf="@id/btn_record_play"
                android:clickable="true" />
        </RelativeLayout>

        <RelativeLayout
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentLeft="true"
                android:layout_centerVertical="true"
                android:text="@string/text_csing"
                android:textAppearance="?android:attr/textAppearanceMedium" />

            <Button
                android:id="@+id/btn_sing_play"
                android:layout_width="100dip"
                android:layout_height="50dip"
                android:layout_alignParentRight="true"
                android:clickable="true"
                android:text="@string/text_replay" />

            <Button
                android:id="@+id/btn_sing"
                android:layout_width="100dip"
                android:layout_height="50dip"
                android:layout_toLeftOf="@id/btn_sing_play"
                android:clickable="true"
                android:text="@string/text_start" />
        </RelativeLayout>

        <RelativeLayout
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentLeft="true"
                android:layout_centerVertical="true"
                android:text="@string/text_play_source"
                android:textAppearance="?android:attr/textAppearanceMedium" />

            <ToggleButton
                android:id="@+id/tb_play_source"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentTop="true"
                android:layout_alignParentRight="true"
                android:layout_marginRight="10dip" />
        </RelativeLayout>

        <RelativeLayout
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentLeft="true"
                android:layout_centerVertical="true"
                android:text="@string/text_vol_mic"
                android:textAppearance="?android:attr/textAppearanceMedium" />

            <TextView
                android:id="@+id/text_vol_mic"
                android:layout_width="40dip"
                android:layout_height="wrap_content"
                android:layout_alignParentTop="true"
                android:layout_alignParentRight="true"
                android:gravity="center"
                android:textAppearance="?android:attr/textAppearanceMedium" />

            <SeekBar
                android:id="@+id/skb_vol_mic"
                android:layout_width="230dip"
                android:layout_height="wrap_content"
                android:layout_toLeftOf="@id/text_vol_mic" />

        </RelativeLayout>

        <RelativeLayout
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/tv_save_preset_reverb"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentLeft="true"
                android:layout_centerVertical="true"
                android:text="@string/text_preset_mode_reverb"
                android:textAppearance="?android:attr/textAppearanceMedium" />

            <Spinner
                android:id="@+id/spinner_preset_reverb"
                android:layout_width="match_parent"
                android:layout_height="50dip"
                android:layout_alignParentTop="true"
                android:layout_toRightOf="@id/tv_save_preset_reverb" />
        </RelativeLayout>

        <RelativeLayout
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/tv_save_preset_eq"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentLeft="true"
                android:layout_centerVertical="true"
                android:text="@string/text_preset_mode_eq"
                android:textAppearance="?android:attr/textAppearanceMedium" />

            <Spinner
                android:id="@+id/spinner_preset_eq"
                android:layout_width="match_parent"
                android:layout_height="50dip"
                android:layout_alignParentTop="true"
                android:layout_toRightOf="@id/tv_save_preset_eq" />
        </RelativeLayout>

        <RelativeLayout
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <TextView
                android:id="@+id/tv_save_preset_tone"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentLeft="true"
                android:layout_centerVertical="true"
                android:text="@string/text_preset_mode_tone"
                android:textAppearance="?android:attr/textAppearanceMedium" />

            <Spinner
                android:id="@+id/spinner_preset_tone"
                android:layout_width="match_parent"
                android:layout_height="50dip"
                android:layout_alignParentTop="true"
                android:layout_toRightOf="@id/tv_save_preset_tone" />
        </RelativeLayout>

        <RelativeLayout
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentLeft="true"
                android:layout_centerVertical="true"
                android:text="@string/text_output_select"
                android:textAppearance="?android:attr/textAppearanceMedium" />

            <RadioGroup
                android:id="@+id/rg_ext_spkr"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentTop="true"
                android:layout_alignParentRight="true"
                android:orientation="horizontal">

                <RadioButton
                    android:id="@+id/rb_head_out"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/text_head_out" />

                <RadioButton
                    android:id="@+id/rb_ext_spkr"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/text_ext_spkr" />
            </RadioGroup>
        </RelativeLayout>

        <RelativeLayout
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentLeft="true"
                android:layout_centerVertical="true"
                android:text="@string/text_rec_source"
                android:textAppearance="?android:attr/textAppearanceMedium" />

            <RadioGroup
                android:id="@+id/rg_rec_source"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_alignParentTop="true"
                android:layout_alignParentRight="true"
                android:orientation="horizontal">

                <RadioButton
                    android:id="@+id/rb_mic_direct"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/text_mic_direct" />

                <RadioButton
                    android:id="@+id/rb_mixed_out"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/text_mixed_out" />

                <RadioButton
                    android:id="@+id/rb_process_mic"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/text_process_mic" />
            </RadioGroup>
        </RelativeLayout>

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <TextView
                android:id="@+id/report"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:lineSpacingExtra="3dp" />
        </ScrollView>

    </LinearLayout>
</ScrollView>
